Skip to main content
POST
/
v6
/
bills
/
query
Query bills
curl --request POST \
  --url https://sandbox.tight.com/v6/bills/query \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "cursor": "<string>",
  "limit": 123,
  "sort": {
    "orderBy": "NAME",
    "direction": "ASC"
  },
  "filter": {
    "name": {
      "equal": "<string>",
      "notEqual": "<string>",
      "greaterThan": "<string>",
      "greaterThanEqual": "<string>",
      "lessThan": "<string>",
      "lessThanEqual": "<string>",
      "contain": "<string>"
    },
    "status": {
      "in": [
        "ACTIVE"
      ],
      "notIn": [
        "ACTIVE"
      ],
      "equal": "ACTIVE",
      "notEqual": "ACTIVE",
      "greaterThan": "ACTIVE",
      "greaterThanEqual": "ACTIVE",
      "lessThan": "ACTIVE",
      "lessThanEqual": "ACTIVE"
    },
    "vendor": {
      "expand": true
    },
    "glAccount": {
      "expand": true
    }
  }
}
'
{
  "result": "SUCCESS",
  "data": [
    {
      "id": "bll_158998869",
      "name": "Office rent",
      "billNo": 1001,
      "status": "ACTIVE",
      "billStatus": "OPEN",
      "date": "2025-06-26",
      "vendor": {
        "id": "vnd_28868401",
        "name": "Gusto"
      },
      "apiName": "QBO",
      "apiSourceId": "ext_123",
      "lineItems": [
        {
          "id": "bli_123456",
          "description": "Office supplies",
          "amount": 5001,
          "apiItemId": "item_123",
          "glAccount": {
            "id": "gla_38560327",
            "name": "Officer(s) Salaries and Wages",
            "accountNo": "60210",
            "type": "EXPENSE",
            "iconUrl": "https://cdn.sandbox.tight.com/icons/glAccountTypes/expense.png"
          }
        }
      ],
      "installments": [
        {
          "id": "istl_123",
          "name": "First installment",
          "dueDate": "2025-07-15",
          "balance": 10000,
          "amountDue": {
            "value": "50.0",
            "type": "AMOUNT"
          }
        }
      ],
      "customData": {
        "internal_key": "some_internal_key",
        "some_other_field": 23434
      }
    }
  ],
  "cursor": {
    "after": "<string>",
    "before": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, see Authentication for more detail.

Body

application/json
cursor
string | null

Cursor from the previous paginated response

limit
integer<int32>

Page size, i.e. number of items to return per page

Required range: x <= 250
sort
object

Sort order for the items in the response.

filter
object

Filter for items in the response.

Response

Success

result
enum<string>

The result of the action performed.

Available options:
SUCCESS,
FAILURE
data
object[]

The data generated by the action performed.

cursor
object

Cursor to be used in your subsequent paginated request. Only populated if there are more pages available.